package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author Mount Liu
 * @date 2020/3/19
 */
public class ResetPasswordReq extends BaseRequest {

    private final static long serialVersionUID = 1L;


    @NotBlank
    @ApiModelProperty(name = "newPassword", value = "新密码", required = true)
    private String newPassword;

    @NotBlank
    @ApiModelProperty(name = "oldPassword", value = "旧密码", required = true)
    private String oldPassword;

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    public String getOldPassword() {
        return oldPassword;
    }

    public void setOldPassword(String oldPassword) {
        this.oldPassword = oldPassword;
    }
}
